Subject: Re: Online help file - library(MANUAL)

From: Jan Wielemaker <[email-masked]>
Date: Mon, 26 Jun 2000 14:50:07 +0200

> The SWI-Prolog web site includes a page on "Building SWI-Prolog on
> MS-Windows."  The instructions were easy to follow.  However, if versions
> 3.3.7 and 3.3.8 are typical, one caveat needs to be added.  There's no
> direct support for making the SWI-Prolog online help files in the
> MS-Windows environment.
> 
> I suppose one could also download the binary distribution.  Or, download
> the GNUish tools for DOS. Or, as I plan to *eventually* do: make my
> computer a dual-boot system (Windows/UNIX).

The MANUAL and helpidx files are part of the source distribution exactly
for this reason: you need too many junk around. Even on a Unix machine
you probably need to install proper version of the used tools. On
Windows it will be a lot of work.  

> Of course, as long as the manual does not change, I can simply copy
> library(MANUAL) and library(helpidx.pl) from the old version's library. 
> I guess that's more of a CVS issue.  Using the CVS web interface, there
> does not seem to be easy way to determine which source files changed
> from, say, 3.3.7 to 3.3.8.

In principle there should be symbolic tags for each version (I forgot
the V3_3_6 tag). You can check whether there are checkins between two
symbolic tags. 

The CVS version is there for a few reasons:

	* I can help people with specific problems easier
	* It is easier for users to deal with modified versions
	* It can reduce network trafic for people that want the latest
          source
	* You can have a look around in the source without having to
	  download it all.

> Any suggestions would be appreciated.  I enjoy using SWI-Prolog, but I am
> definitely new at it.

For a start, a binary should suffice :-)

	Regards --- Jan